## sun-java6 6.26

=== debian/changelog ===
sun-java6 (6.26-0squeeze1) stable; urgency=high

  [ Sylvestre Ledru ]
  * New upstream release (Closes: #629852)
  * SECURITY UPDATE: multiple upstream vulnerabilities. Upstream fixes:
    - (CVE-2011-0862): integer overflows in JPEGImageReader and font
                       SunLayoutEngine (2D, 7013519) 
    - (CVE-2011-0873): unspecified vulnerability fixed in 6u26 (2D) 
    - (CVE-2011-0815): FileDialog.show() buffer overflow (AWT, 7012520) 
    - (CVE-2011-0817): unspecified vulnerabilities fixed in 6u26 (Deployment,
                       JRE) 
    - (CVE-2011-0863): unspecified vulnerability fixed in 6u26 (Deployment) 
    - (CVE-2011-0864): JVM memory corruption via certain bytecode (HotSpot,
                       7020373) 
    - (CVE-2011-0802): unspecified vulnerabilities fixed in 6u26 (Sound) 
    - (CVE-2011-0814): unspecified vulnerabilities fixed in 6u26 (Sound) 
    - (CVE-2011-0871): MediaTracker created Component instances with
                       unnecessary privileges (Swing, 7020198) 
    - (CVE-2011-0786): unspecified vulnerabilities fixed in 6u26 (Deployment,
                       JRE) 
    - (CVE-2011-0788): unspecified vulnerabilities fixed in 6u26 (Deployment,
                       JRE) 
    - (CVE-2011-0866): unspecified vulnerabilities fixed in 6u26 (Deployment,
                       JRE) 
    - (CVE-2011-0868): incorrect numeric type conversion in TransformHelper
                       (2D, 7016495) 
    - (CVE-2011-0872): non-blocking sockets incorrectly selected for reading
                       (NIO, 6213702) 
    - (CVE-2011-0867): NetworkInterface information leak (Networking, 7013969) 
    - (CVE-2011-0869): unprivileged proxy settings change via SOAPConnection
                       (SAAJ, 7013971) 
    - (CVE-2011-0865): Deserialization allows creation of mutable SignedObject
                       (Deserialization, 6618658) 

  [ Torsten Werner ]
  * Upload to stable.

 -- Torsten Werner <twerner@debian.org>  Thu, 09 Jun 2011 16:56:39 +0200

sun-java6 (6.24-1~squeeze1) stable; urgency=low

  * Upload to stable. (Closes: #613723)

 -- Torsten Werner <twerner@debian.org>  Sun, 27 Feb 2011 19:38:43 +0100

sun-java6 (6.24-1) unstable; urgency=high

  * New upstream release
  * Watch file added
  * Homepage updated to http://jdk-distros.java.net/
  * SECURITY UPDATE: multiple upstream vulnerabilities. Upstream fixes:
    - (CVE-2010-4476): Java Runtime Environment hangs when converting 
      "2.2250738585072012e-308" to a binary floating-point number.
    - (CVE-2010-4452): Oracle Java XGetSamplePtrFromSnd Remote Code
                       Execution Vulnerability
    - (CVE-2010-4454): Vulnerability allows successful unauthenticated network
                       attacks via multiple protocols.
    - (CVE-2010-4462): XGetSamplePtrFromSnd Remote Code Execution Vulnerability
    - (CVE-2010-4463): Webstart Trusted JNLP Extension Remote Code Execution
                       Vulnerability
    - (CVE-2010-4465): Swing timer-based security manager bypass
    - (CVE-2010-4467): Vulnerability allows successful unauthenticated network
                       attacks via multiple protocols.
    - (CVE-2010-4469): Hotspot backward jsr heap corruption
    - (CVE-2010-4473): Vulnerability allows successful unauthenticated network
                       attacks via multiple protocols.
    - (CVE-2010-4422): Vulnerability allows successful unauthenticated network
                       attacks via multiple protocols.
    - (CVE-2010-4451): Vulnerability allows successful unauthenticated network
                       attacks via HTTP. 
    - (CVE-2010-4466): Runtime NTLM Authentication Information Leakage
                       Vulnerability
    - (CVE-2010-4470): JAXP untrusted component state manipulation
    - (CVE-2010-4471): Java2D font-related system property leak
    - (CVE-2010-4447): Vulnerability allows successful unauthenticated network
                       attacks via multiple protocols.
    - (CVE-2010-4475): vulnerability allows successful unauthenticated network
                       attacks via multiple protocols.
    - (CVE-2010-4468): DNS cache poisoning by untrusted applets
    - (CVE-2010-4450): Launcher incorrect processing of empty library path
                       entries
    - (CVE-2010-4448): DNS cache poisoning by untrusted applets
    - (CVE-2010-4472): Untrusted code allowed to replace DSIG/C14N
                       implementation
    - (CVE-2010-4474): Easily exploitable vulnerability requiring logon to
                       Operating System. 
    
 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Feb 2011 00:46:20 +0100

sun-java6 (6.23-1) unstable; urgency=low

  * New upstream release
  * Add 'google-chrome' as Depends of sun-java6-plugin (Closes: #607455)
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 Feb 2011 01:23:20 +0100

sun-java6 (6.22-1) unstable; urgency=low

  [ Torsten Werner ]
  * Add file /etc/java-6-sun/swing.properties. (Closes: #480570)
  * Install the desktop file for jvisualvm and remove the one for jconsole.
    (Closes: #539288)

  [ Sylvestre Ledru ]
  * New upstream release (Closes: #600259)
  * SECURITY UPDATE: multiple upstream vulnerabilities. Upstream fixes:
    - (CVE-2010-3556): JDK unspecified vulnerability in 2D component
    - (CVE-2010-3562): JDK IndexColorModel double-free
    - (CVE-2010-3565): JDK JPEG writeImage remote code execution
    - (CVE-2010-3566): JDK ICC Profile remote code execution
    - (CVE-2010-3567): Crash in ICU Opentype layout engine due to mismatch in
                       character counts
    - (CVE-2010-3571): JDK unspecified vulnerability in 2D component
    - (CVE-2010-3554): JDK corba reflection vulnerabilities
    - (CVE-2010-3563): JDK unspecified vulnerability in Deployment component
    - (CVE-2010-3568): JDK Deserialization Race condition
    - (CVE-2010-3569): JDK Serialization inconsistencies

