=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file derived from the gcc build system

unexport LANG LC_ALL

export DH_OPTIONS=

export SHELL=/bin/bash

distribution	:= $(shell lsb_release -is)
distrelease	:= $(shell lsb_release -cs)

DEB_HOST_ARCH	?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

arch_map	:= amd64=amd64 i386=i586 lpia=i586 powerpc=ppc sparc=sparc ia64=ia64
archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64

arch		:= $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			$(filter $(DEB_HOST_ARCH)=%, $(arch_map))))
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

TOP		:= usr/lib/jvm
dirparts	:= $(shell basename $(CURDIR) | tr '-' ' ')
VENDOR		:= $(word 1, $(dirparts))
Vendor		:= $(shell perl -e 'print ucfirst("$(VENDOR)");')
javaname	:= $(shell echo $(word 2, $(dirparts)) | sed 's/[0-9.]*$$//')
RELEASE		:= $(shell echo $(word 2, $(dirparts)) | sed 's/^[a-z]*//')
# where to get it?
relstring	:= 6
PRODUCT		:= $(javaname)$(RELEASE)
srcname		= $(VENDOR)-$(PRODUCT)
basename	= $(ia32_prefix)$(VENDOR)-$(PRODUCT)
dirpartsv	:= $(shell echo $(word 3, $(dirparts)) | tr '.' ' ')
version		:= $(word 1, $(dirpartsv))
releng_ver	:= $(word 2, $(dirpartsv))
jdkversion	:= 1.6.0
#unpackdir	:= jdk$(version)_$(releng_ver)
#unpackdir	:= jdk$(jdkversion)
unpackdir	:= jdk$(jdkversion)_$(releng_ver)
#jdirname	:= $(ia32_prefix)java-$(version)-$(VENDOR)-$(version).$(releng_ver)
jdirname	:= $(ia32_prefix)java-$(version)-$(VENDOR)-$(jdkversion).$(releng_ver)
jdiralias	:= $(ia32_prefix)java-$(version)-$(VENDOR)
srcdir		:= $(arch)-jdk
bin_pattern	= jdk-$(version)u$(releng_ver)-dlj-linux-%.bin
all_archs	= $(filter $(subst =, , $(arch_map)), \
			   $(subst -, , $(patsubst %.bin, %, $(wildcard *.bin))))
priority	:= 63

tag		:= $(strip $(subst .,, $(RELEASE)))
mantag		:= $(VENDOR)$(tag)

basedir		= $(TOP)/$(jdirname)
doc		:= usr/share/doc
j2se_lib	:= usr/lib/$(basename)
security	:= etc/$(jdiralias)/security

bd_plugin = \
	$(if $(filter $(distribution),Debian),libxul-dev,$(if $(filter $(distrelease),hardy),xulrunner-1.9-dev,firefox-dev))

browser_plugin_dirs = xulrunner-addons firefox iceape iceweasel mozilla midbrowser xulrunner konqueror
browsers = firefox | firefox-2 | iceweasel | mozilla-firefox | iceape-browser | mozilla-browser | epiphany-gecko | epiphany-webkit | epiphany-browser | galeon | midbrowser | moblin-web-browser | xulrunner | xulrunner-1.9 | konqueror | chromium-browser | midori | google-chrome

# FIXME: xulrunner-addons only tested on sid, jaunty, karmic
ifeq ($(distribution),Ubuntu)
  browser_plugin_dirs = xulrunner-addons firefox iceape iceweasel mozilla midbrowser xulrunner
  browser_plugin_dirs = xulrunner-addons mozilla
else
  browser_plugin_dirs = xulrunner-addons firefox iceape iceweasel mozilla midbrowser xulrunner
endif

java_launcher = /$(basedir)/bin/java
ifeq ($(distribution),Ubuntu)
  ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
    java_launcher = cautious-launcher %f /$(basedir)/bin/java
  endif
endif

with_wgy_zenhai = $(if $(filter $(distrelease),hardy),yes)

cjk_fonts = ttf-baekmuk | ttf-unfonts | ttf-unfonts-core,
cjk_fonts += ttf-kochi-gothic | ttf-sazanami-gothic,
cjk_fonts += ttf-kochi-mincho | ttf-sazanami-mincho,
cjk_fonts += $(if $(with_wgy_zenhai),ttf-wqy-zenhei,ttf-arphic-uming),

lintian_overrides	:= usr/share/lintian/overrides

ifneq ($(DEB_HOST_ARCH),ia64)
  packaging_files = packaging-files
endif
ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 ia64))
  with_ia32 = yes
  ia32_packaging_files = ia32-packaging-files

endif

info:
	@echo Build information
	@echo ==========================
	@echo 'TOP         = $(TOP)'
	@echo 'VENDOR      = $(VENDOR)'
	@echo 'RELEASE     = $(RELEASE)'
	@echo 'PRODUCT     = $(PRODUCT)'
	@echo 'basename    = $(basename)'
	@echo 'version     = $(version)'
	@echo 'releng_ver  = $(releng_ver)'
	@echo 'unpackdir   = $(unpackdir)'
	@echo 'srcdir      = $(srcdir)'
	@echo 'all_archs   = $(all_archs)'
	@echo 'arch        = $(arch)'
	@echo 'archdir     = $(archdir)'
	@echo 'bin_pattern = $(bin_pattern)'
	@echo $(jre_tools)

d	= debian/tmp

p_jre	:= $(basename)-jre
p_jbin	:= $(basename)-bin
p_jdk	:= $(basename)-jdk
p_src	:= $(basename)-source
p_fonts	:= $(basename)-fonts
p_demo	:= $(basename)-demo
p_plug	:= $(basename)-plugin
p_javadb	:= $(basename)-javadb

d_jre	:= debian/$(p_jre)
d_jbin	:= debian/$(p_jbin)
d_jdk	:= debian/$(p_jdk)
d_src	:= debian/$(p_src)
d_demo	:= debian/$(p_demo)
d_fonts	:= debian/$(p_fonts)
d_plug	:= debian/$(p_plug)
d_javadb	:= debian/$(p_javadb)

ifneq ($(DEB_HOST_ARCH),ia64)
  binary_arch_targets	= \
	$(patsubst %, binary-%, $(p_jbin) $(p_jdk) $(p_demo))
endif
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 lpia))
    binary_arch_targets	+= binary-$(p_plug)
endif
ifeq ($(with_ia32),yes)
    binary_arch_targets	+= ia32-binary-bin
    #binary_arch_targets += ia32-binary-plugin
endif
binary_indep_targets	:= \
	$(patsubst %, binary-%, $(p_jre) $(p_src) $(p_fonts) $(p_javadb))
NO_PACKAGES = -Nia32-$(p_plug)
ifneq ($(with_ia32),yes)
  NO_PACKAGES += -Nia32-$(p_jbin)
endif

# (most) jre and jdk tools handled by the alternatives system.
# dups in heimdal-clients, krb5-user: kinit, klist, ktab, no alternatives
all_jre_tools	= $(notdir $(wildcard $(srcdir)/jre/bin/*))
corba_tools	= orbd servertool tnameserv
jre_tools	= $(filter-out $(corba_tools), $(all_jre_tools))
jre_tools_alt	= $(filter-out kinit klist ktab, $(jre_tools)) $(corba_tools)

all_jdk_tools	= $(notdir $(wildcard $(srcdir)/bin/*))
jdk_tools	= $(filter-out $(all_jre_tools), $(all_jdk_tools))
jdk_tools_alt	= $(filter-out jvisualvm, $(jdk_tools))

jre_manpages_re:= $(shell echo $(jre_tools) $(corba_tools) | tr -s ' ' '|')

#ship_packs = yes
ifeq ($(ship_packs),yes)
  jre_packs	= $(shell cd $(srcdir); find jre/lib -name '*.pack')
  jdk_packs	= $(shell cd $(srcdir); find lib -name '*.pack')
endif

# TODO: unpack both tarballs, compare them to ensure we do things right
# these are identical files / directories
common_jre_things = \
	jre/lib/audio \
	jre/lib/cmm \
	jre/lib/fonts \
	jre/lib/images/cursors \
	jre/lib/oblique-fonts \
	jre/lib/zi \
	jre/lib/jsse.jar \
	jre/COPYRIGHT \
	jre/LICENSE \
	jre/THIRDPARTYLICENSEREADME.txt \

common_jdk_things = \

# jar files, whith the same contents; just the time stamps differ
common_jre_jars = \
	jre/lib/ext/sunjce_provider.jar \
	jre/lib/ext/dnsns.jar \
	jre/lib/ext/localedata.jar \
	jre/lib/jce.jar \
	jre/lib/security/US_export_policy.jar \
	jre/lib/security/local_policy.jar \
	jre/lib/im/indicim.jar \
	jre/lib/im/thaiim.jar \
	jre/lib/charsets.jar \

version_tag	:= $(shell dpkg-parsechangelog | \
			sed -ne 's/Version: *\([0-9]\+:\)*//p')

tag:
	cvs tag -c -F $(subst .,_,$(ctp_tag)_debian_version_$(version_tag))
ifeq ($(findstring -,$(version_tag)),)
	cvs tag -c -F $(subst .,_,$(ctp_tag)_upstream_version_$(version_tag))
endif

showtags:
	@echo Version: $(version)
	@echo Release: $(release)
	@echo CTP tag: $(ctp_tag)

control: control-stamp
control-stamp: debian/control $(ia32_packaging_files) $(packaging_files)
	touch control-stamp

build: build-stamp
build-stamp: info unpack-stamp control-stamp
	touch build-stamp

debian/control: debian/control.in debian/rules
	@cp -p debian/control debian/control.old
	  sed -e 's/@JRE@/$(p_jre)/g' \
	      -e 's/@JDK@/$(p_jdk)/g' \
	      -e 's/@vendor@/$(Vendor)/g' \
	      -e 's/@basename@/$(basename)/g' \
	      -e 's,@basedir@,$(basedir),g' \
	      -e 's/@srcname@/$(srcname)/g' \
	      -e 's/@arch@/$(DEB_HOST_ARCH)/g' \
	      -e 's/@sarch@/$(arch)/g' \
	      -e 's/@RELEASE@/$(relstring)/g' \
	      -e 's/@archdir@/$(archdir)/g' \
	      -e 's/@browsers@/$(browsers)/g' \
	      -e 's/@cjk_fonts@/$(cjk_fonts)/g' \
	      -e 's,@pkg_version@,$(if $(filter $(distrelease),etch dapper edgy feisty gutsy),$${Source-Version},$${source:Version}),g' \
	    debian/control.in > debian/control
